using System;
using Microsoft.SharePoint;

namespace AndrewConnell.SharePoint.CustomFields {
  public class FieldCollegeFootballTeamValue : SPFieldMultiColumnValue {
    private const int NUM_OF_FIELDS = 2;

    public FieldCollegeFootballTeamValue ()
      : base(NUM_OF_FIELDS) {
    }

    public FieldCollegeFootballTeamValue (string value)
      : base(value) {
    }

    public string SchoolName {
      get {
        return this[0];
      }
      set {
        this[0] = value;
      }
    }

    public string SchoolMascot {
      get {
        return this[1];
      }
      set {
        this[1] = value;
      }
    }
  }
}